def print_counts(python_files, all_imports, all_imports_with_duplicates, all_unused_imports):
    """Print counts of Python files, imports, and unused imports."""
    print("Total Python Files Scanned:", len(python_files))
    print(f"Total Import Statements: {len(all_imports_with_duplicates)}")
    print(f"Unique Libraries Imported: {len(all_imports)}")
    print(f"Total Unused Imports: {sum(len(v) for v in all_unused_imports.values())}")
    
def print_syntax_error_files(syntax_error_files):
    """Print files with syntax errors."""
    if (len(syntax_error_files) > 0):
        if (len(syntax_error_files) == 1):
            print(f"\nSyntax error in {len(syntax_error_files)} file:")
        else:
            print(f"\nSyntax error in {len(syntax_error_files)} files:")
        for file in syntax_error_files:
            print(f"- {file}")
            
def print_unused_imports(all_unused_imports):
    """Print unused imports."""
    if all_unused_imports:
        print("\nUnused Imports:")
        for file, unused_imports in all_unused_imports.items():
            print(f"- {file}:")
            for imp in unused_imports:
                print(f"  - {imp}")

def print_imports(imports):
    """Print imports."""
    print("\nDependencies:")
    for imp in sorted(imports):
        print(f"- {imp}")